/*
** Module   : DatabaseEventType.java
** Abstract : Database event type.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -------------------------------- Description --------------------------------
** 001 SVL 20130213 Created initial version.
** 002 OM  20131128 Added Assign and replication constants.
*/

package com.goldencode.p2j.persist.trigger;

/**
 * Database event type.
 */
public enum DatabaseEventType
{
   ASSIGN,
   CREATE,
   DELETE,
   FIND,
   WRITE,
   REPLICATION_CREATE,
   REPLICATION_DELETE,
   REPLICATION_WRITE
}
